# $Revision: 1.23 $, $Date: 2004/04/19 22:44:10 $
Summary:	UNIX Joystick Wrapper Library and calibrator
Summary(pl):	Biblioteka do obsugi joysticka pod UNIX-em
Name:		libjsw
Version:	1.5.4
Release:	1
License:	GPL-like
Group:		Libraries
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
# Source0-md5:	2728c790bdebd592370725bb362c12a6
Source1:	jscalibrator.desktop
Source2:	jscalibrator.png
Patch0:		%{name}-intbool.patch
Patch1:		%{name}-link.patch
URL:		http://wolfpack.twu.net/libjsw/
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw)
provides the programmer with the assistance to easilly code
applications that need to use the joystick driver and a convience to
users by storing the calibration information in a .joystick
calibration file.

%description -l pl
UNIX Joystick Driver Wrapper Library and Calibrator (czyli libjsw)
daje programicie moliwo atwego pisania programw korzystajcych z
joysticka oraz moliwo przechowywania informacji o kalibracji w
pliku .joystick w katalogu domowym uytkownika.

%package devel
Summary:	libjsw development package
Summary(pl):	Pliki dla programistw libjsw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libjsw development package.

%description devel -l pl
Pliki dla programistw uywajcych libjsw.

%package -n jscalibrator
Summary:	Joystick calibrator
Summary(pl):	Kalibrator joysticka
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description -n jscalibrator
Joystick calibrator for use with libjsw.

%description -n jscalibrator -l pl
Kalibrator joysticka do uywania z libjsw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd libjsw
%{__make} \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -funroll-loops -ffast-math -fPIC"
ln -sf libjsw.so.*.* libjsw.so
cd ..

ln -sf include/jsw.h .
%{__make} -C jscalibrator \
	CFLAGS="`gtk-config --cflags` %{rpmcflags} %{!?debug:-fomit-frame-pointer} -funroll-loops -ffast-math" \
	INC_DIRS="-I.."

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C libjsw install \
	JSW_LIB_DIR="$RPM_BUILD_ROOT%{_libdir}" \
	JSW_INC_DIR="$RPM_BUILD_ROOT%{_includedir}" \
	JSW_MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man3"

%{__make} -C jscalibrator install \
	BIN_DIR="$RPM_BUILD_ROOT%{_bindir}" \
	ICONS_DIR="$RPM_BUILD_ROOT%{_pixmapsdir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man1" \
	DATA_DIR="$RPM_BUILD_ROOT%{_datadir}/libjsw"

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS LICENSE
%attr(755,root,root) %{_libdir}/libjsw.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjsw.so
%{_includedir}/*
%{_mandir}/man3/*

%files -n jscalibrator
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/libjsw
%{_mandir}/man1/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libjsw.spec,v $
Revision 1.23  2004/04/19 22:44:10  qboosh
- updated to 1.5.4, switched to vfolders

Revision 1.22  2004/04/05 19:00:51  adamg
- fixed group

Revision 1.21  2003/08/28 13:12:57  qboosh
- fixed build without libjsw-devel installed

Revision 1.20  2003/07/19 23:55:16  qboosh
- 1.5.3

Revision 1.19  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/09 23:43:21  qboosh
- up to 1.5.2, updated patches

Revision 1.16  2003/02/02 01:38:01  qboosh
- added link patch to fix linking (when older libjsw is already installed) and
  add missing SONAME (libjsw.so.1.5 - as it's not binary compatible with 1.4.x)
- use -fPIC for library, don't use -fomit-frame-pointer for debug version
- BR: libstdc++-devel not gcc-c++
- fixed file lists (man1 page to jscalibrator, man3 pages to -devel)

Revision 1.15  2003/02/01 16:30:10  radek
- version 1.5.0
- fixed Source0 URL and the URL tag
- removed memories of /usr/X11R6
- added libjsw-intbool.patch
- more CFLAGS

Revision 1.14  2002/08/18 15:48:06  blues
- removed gzipping docs; STBR again

Revision 1.13  2002/08/18 13:43:18  blues
- release 3 - license fix, new doc

Revision 1.12  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 20:22:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.9  2002/02/01 14:51:39  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.8  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/05/27 17:15:42  kloczek
- changed to png icon.

Revision 1.6  2001/05/03 23:19:01  qboosh
- really release 2

Revision 1.5  2001/05/03 15:52:11  qboosh
- FHS, post/postun, pl translations, changed libjsw group to Libraries
- release 2

Revision 1.4  2001/05/03 15:01:16  jajcus
- desktop file added for calibrator

Revision 1.3  2001/05/03 14:08:18  jajcus
- libjsw.so moved to base package, as it has no proper SONAME

Revision 1.2  2001/05/01 21:07:08  kloczek
- cosmetics.

Revision 1.1  2001/05/01 16:33:42  jajcus
- initial spec
